Subject: Re: [bug#49203] [PATCH 1/2] gnu: Add ocaml-uri-sexp.

From: Xinglu Chen <[email-masked]>
Date: Thu, 24 Jun 2021 20:39:52 +0200

On Thu, Jun 24 2021, Adu O'Hara wrote:

> Thanks for the patches!
>
> There is already an `ocaml-uri`. How about updating that to 4.2.0 
> (currently at 4.1.0) and let `ocaml-uri-sexp` inherit from 
> ocaml-uri with #:package set to "uri-sexp"?

That could probably be done in a separate patch series; this series is
about adding ‘ocaml-cohttp’.

> Another alternatively: remove the #:package argument from 
> `ocaml-uri` so that all packages are built (`uri`, `uri-sexp` and 
> `uri-re`).

Those are three separate packages on Opam, so I don’t think it makes
sense for us to merge them into one.  Not everyone who installs
‘ocaml-uri’ is going to want ‘ocaml-uri-sexp’ and ‘ocaml-uri-re’.

WDYT?